Subject: Re: [net-next PATCH v10 11/11] eth: bnxt: link NAPI instances to queues and IRQs

From: Jakub Kicinski <[email-masked]>
Date: Thu, 30 Nov 2023 23:21:39 -0800

On Thu, 30 Nov 2023 12:53:50 -0800 Nambiar, Amritha wrote:
> > This will include the XDP TX rings that are internal to the driver.  I
> > think we need to exclude these XDP rings and do something like this:
> > 
> > if (i > bp->tx_nr_rings_xdp)
> >          netif_queue_set_napi(bp->dev, i - bp->tx_nr_rings_xdp,
> >                               NETDEV_QUEUE_TYPE_TX, &txr->bnapi->napi);
> 
> Okay, will wait for Jakub's response as well. I can make this change in 
> the next version (after waiting for other comments on the rest of the 
> series), but I may not be able to test this on bnxt.

No extra comments from me, thanks for taking care of the update.
-- 
pw-bot: cr